Agora Java API Reference for Android

Public Attributes | List of all members
io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats Class Reference

The statistics of the local video stream. More...

## Public Attributes
int | uid
int | sentBitrate
int | sentFrameRate
int | captureFrameRate
int | captureFrameWidth
int | captureFrameHeight
int | regulatedCaptureFrameRate
int | regulatedCaptureFrameWidth
int | regulatedCaptureFrameHeight
int | encoderOutputFrameRate
int | rendererOutputFrameRate
int | targetBitrate
int | targetFrameRate
int | qualityAdaptIndication
int | encodedBitrate
int | encodedFrameWidth
int | encodedFrameHeight
int | encodedFrameCount
int | codecType
int | txPacketLossRate
int | captureBrightnessLevel
boolean | dualStreamEnabled
int | hwEncoderAccelerating
int | encodedFrameDepth

## Detailed Description

The statistics of the local video stream.

## Member Data Documentation

## ◆ uid

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.uid

The ID of the local user.

## ◆ sentBitrate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.sentBitrate

The actual bitrate (Kbps) while sending the local video stream.

Note
  This value does not include the bitrate for resending the video after packet loss.

## ◆ sentFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.sentFrameRate

The actual frame rate (fps) while sending the local video stream.

Note
  This value does not include the frame rate for resending the video after packet loss.

## ◆ captureFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.captureFrameRate

The frame rate (fps) for capturing the local video stream.

## ◆ captureFrameWidth

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.captureFrameWidth

The width (px) for capturing the local video stream.

## ◆ captureFrameHeight

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.captureFrameHeight

The height (px) for capturing the local video stream.

## ◆ regulatedCaptureFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.regulatedCaptureFrameRate

The frame rate (fps) adjusted by the built-in video capture adapter (regulator) of the SDK for capturing the local video stream. The regulator adjusts the frame rate of the video captured by the camera according to the video encoding configuration.

## ◆ regulatedCaptureFrameWidth

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.regulatedCaptureFrameWidth

The width (px) adjusted by the built-in video capture adapter (regulator) of the SDK for capturing the local video stream. The regulator adjusts the height and width of the video captured by the camera according to the video encoding configuration.

## ◆ regulatedCaptureFrameHeight

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.regulatedCaptureFrameHeight

The height (px) adjusted by the built-in video capture adapter (regulator) of the SDK for capturing the local video stream. The regulator adjusts the height and width of the video captured by the camera according to the video encoding configuration.

## ◆ encoderOutputFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.encoderOutputFrameRate

The output frame rate (fps) of the local video encoder.

## ◆ rendererOutputFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.rendererOutputFrameRate

The output frame rate (fps) of the local video renderer.

## ◆ targetBitrate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.targetBitrate

The target bitrate (Kbps) of the current encoder. This is an estimate made by the SDK based on the current network conditions.

## ◆ targetFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.targetFrameRate

The target frame rate (fps) of the current encoder.

## ◆ qualityAdaptIndication

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.qualityAdaptIndication

The quality adaptation of the local video stream in the reported interval (based on the target frame rate and target bitrate).

- ADAPT_NONE (0): The local video quality stays the same.
- ADAPT_UP_BANDWIDTH (1): The local video quality improves because the network bandwidth increases.
- ADAPT_DOWN_BANDWIDTH (2): The local video quality deteriorates because the network bandwidth decreases.
  Since
    v2.4.0.

## ◆ encodedBitrate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.encodedBitrate

The bitrate (Kbps) while encoding the local video stream.

Note
  This value does not include the bitrate for resending the video after packet loss.

## ◆ encodedFrameWidth

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.encodedFrameWidth

The width of the encoded video (px).

## ◆ encodedFrameHeight

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.encodedFrameHeight

The height of the encoded video (px).

## ◆ encodedFrameCount

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.encodedFrameCount

The number of the sent video frames, represented by an aggregate value.

## ◆ codecType

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.codecType

The codec type of the local video. See `VIDEO_CODEC_TYPE`.

- VIDEO_CODEC_VP8 (1): VP8.
- VIDEO_CODEC_H264 (2): H.264.
- VIDEO_CODEC_H265 (3): (Default) H.265.
  Note
    In certain scenarios, such as low resolution of the captured video stream or limited device performance, the SDK automatically adjusts to the H.264 encoding format.

## ◆ txPacketLossRate

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.txPacketLossRate

The video packet loss rate (%) from the local client to the Agora server before applying the anti-packet loss strategies.

## ◆ captureBrightnessLevel

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.captureBrightnessLevel

The brightness level of the video image captured by the local camera.

- CAPTURE_BRIGHTNESS_LEVEL_INVALID (-1): The SDK does not detect the brightness level of the video image. Wait a few seconds to get the brightness level from `captureBrightnessLevel` in the next callback.
- CAPTURE_BRIGHTNESS_LEVEL_NORMAL (0): The brightness level of the video image is normal.
- CAPTURE_BRIGHTNESS_LEVEL_BRIGHT (1): The brightness level of the video image is too bright.
- CAPTURE_BRIGHTNESS_LEVEL_DARK (2): The brightness level of the video image is too dark.

## ◆ dualStreamEnabled

boolean io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.dualStreamEnabled

Whether we send dual stream now.

## ◆ hwEncoderAccelerating

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.hwEncoderAccelerating

The local video encoding acceleration type.

- 0: Software encoding is applied without acceleration.
- 1: Hardware encoding is applied for acceleration.

## ◆ encodedFrameDepth

int io.agora.rtc2.IRtcEngineEventHandler.LocalVideoStats.encodedFrameDepth

@technical preview

The encoder frame is sdr or hdr:

- encodedFrameDepth = 8: sdr.
- encodedFrameDepth = 10: hdr.